;+
; NAME:
;      	gntcleen
; PURPOSE:
;      cleans up the Nobeyama Radioheliograph image allowing for
;      images which have very bright pixels in them
; CATEGORY:
; CALLING SEQUENCE:
;	img = gntcleen(gntimg)
; OPTIONAL (KEYWORD) INPUT PARAMETERS:
; OUTPUTS:
;	img 
; ROUTINES CALLED:
; MODIFICATION HISTORY:
;	DA written 23-May-94
;	BNH - 1-Jul-94 - Fixed problem that program would crash when 
;		         img was LONG rather than BYTE array.  HISTOGRAM
;			 offsets when looking at LONG, doesn't for BYTE.
;       SLF - protect against subscripting with -1
;-

function gntcleen,img
c0=histogram(img)
maxi=min(where(c0 eq max(c0)))
img=img>(maxi+13)
c=histogram(img, min=min(img))
maxi=min(where(c(1:*) eq max(c(1:*))))
mini=max(where(c(0:maxi) eq min(c(0:maxi))))
zeroit=where(img lt mini+13,zcnt)
if zcnt gt 0 then img(zeroit) = 0
c=histogram(img)
maxi=min(where(c(1:*) eq max(c(1:*))))
h=where(c0 eq 1)
if n_elements(h) gt 5 then begin
 b=min(where(c(maxi:*) lt 3))+maxi
 img=img<b
endif
return,img
end







