pro monthly_summary, st_tim, en_tim, all=all, goes=goes, noaa=noaa, batse=batse, mission=mission
;
;
;+
;   Name: monthly_summary
;
;   Purpose: produce summary information for 1 month (GOES/NAR/SXT images)
;
;   History:
;      ??? - written
;      31-May-94 (SLF) - change lprint to pprint
;-
;
if (!d.name eq 'PS') then device, /land
;
if (keyword_set(mission)) then begin
    st_tim = '1-Sep-91'
    en_tim = !stime
end
if (n_elements(st_tim) eq 0) then st_tim = '1-sep-91' else begin
    siz = size(st_tim)
    typ = siz( siz(0)+1 )
    if ((typ eq 7) and (strlen(st_tim) eq 6)) then st_tim = '1-' + st_tim	;add on a 1- if only passed MON-YY
end
if (n_elements(en_tim) eq 0) then en_tim = anytim2ints(st_tim, off=24*60.*60.)	;just do one month
;
qgoes = keyword_set(goes)
qnoaa = keyword_set(noaa)
qbatse = keyword_set(batse)
if (keyword_set(all)) then begin
   qgoes = 1
   qnoaa = 1
   qbatse = 1
end
;
st_tarr = anytim2ex(st_tim)
qdone = 0
while not qdone do begin
    en_tarr = st_tarr
    en_tarr(5) = en_tarr(5) + 1
    if (en_tarr(5) eq 13) then begin
	en_tarr(5) = 1
	en_tarr(6) = en_tarr(6) + 1
    end
    nday = int2secarr(en_tarr, st_tarr)/86400
    print, fmt_tim(st_tarr), ' to ', fmt_tim(en_tarr), ' for ', nday, ' days
    ;
    if (qgoes) then begin
	goes_summary, fmt_tim(st_tarr), nday
	pause
	if (!d.name eq 'PS') then pprint
    end
    if (qnoaa) then begin
	n = 9
	tim = fmt_tim( anytim2ints( replicate(anytim2ints(st_tarr),n), off=findgen(n)*30./n*24.*60.*60) )
	save_d = !d
	mplot_nar, tim, /text, /brief, /hc
	;!d = save_d
	set_plot, save_d.name
    end
    if (qbatse) then begin
	rd_gbe, fmt_tim(st_tarr), fmt_tim(en_tarr), gbe, status=status
	if (status le 0) then begin
	    ss = sort(gbe.cnts_peak)
	    gbe = gbe(ss)
	    nn = n_elements(gbe)
	    n = 12	;12 plots
	    gbe = gbe((nn-12)>0:*)
	    ss = sort(int2secarr(gbe))	;time sort
	    gbe = gbe(ss)
	    !p.multi = [0,3,4]
	    for i=0,n-1 do plot_gbl, event=gbe(i).event
	    !p.multi = 0

	    pause
	    if (!d.name eq 'PS') then pprint
	end
    end
    ;
    if (int2secarr(en_tarr, en_tim) ge 0) then qdone = 1
    st_tarr = en_tarr
end
;
end
