pro msok_copy
;+
;   Name: msok_copy
;
;   Purpose: copy MSO Ca-K gif files
;
;   25-sep-1995 (SLF) First Light optional image
;-
msokenv=get_logenv('DIR_GBO_SC')

ftpit=keyword_set(ftpit)

;  ----------------------------
;  remote ftp information
   mso_ip="koa.ifa.hawaii.edu"
   subdir="pub/kline"
;  ----------------------------
; 
ftp_copy,mso_ip, subdir=subdir, /list,dirlist=dirlist,/anon
if n_elements(dirlist) eq 0 then begin
   message,/info,"Problem in FTP connection..."
   return
endif 
ssgood=where(strlen(dirlist) eq 62,gcnt)

if gcnt eq 0 then begin
   message,/info,"Problem with diretory listing
   return		; *********** unstructured return **************
endif 

dirlist=dirlist(ssgood)

directory=str2cols(dirlist)
fnames=strtrim(reform(directory(8,*)),2)

ystrings=fmt_tim(strmid(fnames,3,2) + '-' + strmid(fnames,0,3) + '-' + $
   strmid(fnames,6,2))

fids=ex2fid(anytim2ex(ystrings))

; assumption - only one per day
msokfiles='gmc' + fids
outdirs=find_gbo_dir('gmc' + fids)
msobest=concat_dir(outdirs,msokfiles)
chknames=strsplit(msobest,'.',/head)			
need=where(1-file_exist(chknames+'*'),ncnt)

if ncnt gt 0 then begin
   message,/info,"Need " + strtrim(ncnt,2) + " MSO Kline files..."
;  get the files
   rnames=strtrim(directory(8,need),2)
   ftp_copy,rnames, mso_ip, subdir, /anon, /get, outdir=msokenv
;  rename the files
   newfiles=concat_dir(msokenv,rnames)
   for i=0,n_elements(newfiles)-1 do  begin
      if file_exist(newfiles(i)) then begin
         dat=rfits(newfiles(i),head=head)
         otime=fits2time(head)
         oname=(concat_dir(outdirs(need(i)),'gmc'+ex2fid(anytim2ex(otime))))(0)
         message,/info,"Renaming: " + newfiles(i) + " to " + oname
         spawn,['mv','-f',newfiles(i),oname],/noshell
      endif else begin
	 message,/info,"Problem getting MSOK file: "+ newfiles(i)  
      endelse
      if n_elements(head) ne 0 then begin		; make a genx file
         lastmso=get_msok(msotim=msotim)
         savegen, lastmso, text=["Last MSOK Image", msotim], $
            file=concat_dir(get_logenv('DIR_SHOWPIX_SC'),'Last_MSOK.genx')
      endif
   endfor
endif else message,/info,"Have all the MSO Kline files already..."

return
end
