pro rd_guf, sttim, entim, data, status=status, nearest=nearest, quiet=quiet
;
;+
;NAME: 
;	rd_guf
;PURPOSE:
;	Read the contents of the GUF files  (Ulysses Ephemeris)
;CALLING SEQUENCE:
;	rd_guf, '1-sep-91', '1-nov-91', data
;
;INPUT:
;	sttim	- start time in any format
;	entim	- end time in any format
;
;OUTPUT:
;      data - ulysses ephemeris structure
;
;OPTIONAL KEYWORD INPUT:
;      status   - (output) status from rd_week_file
;      nearest -  (input) (pass to rd_week_file)
;      quiet   -  (input) if set, dont print status error messages
;
;HISTORY:
;	9-Mar-1994 (SLF)
;      17-Mar-1994 (SLF) Correct documentation
;-
;
rd_week_file, sttim, entim, 'guf', data, status=status, nearest=nearest
if not keyword_set(quiet) then begin
   case status of
      1:  message,/info,"Can't find GUF files"
      2:  message,/info,"No data in requested time period"
      -1: message,/info,"Found data outside of requested range"
      else:
   endcase
endif

end
