pro rd_nel_raw, infil, out
;
;
;
if (n_elements(infil) eq 0) then infil = ['obs92.list', 'obs93.list']
if (n_elements(indir) eq 0) then indir = '/2p/morrison/soft/solara_db/nobeyama'
;
nbuff = 200
gbo_struct, nob_event=data_ref
out = replicate(data_ref, nbuff)
iout = 0
;
nfil = n_elements(infil)
for i=0,nfil-1 do begin
    text0 = rd_tfile(concat_dir(indir, infil(i)))
    ss = where(strmid(text0, 0, 3) eq '---')	;skip past header (variable length?)
    text0 = text0(ss(0)+1:*)
    if (i eq 0) then text = text0 else text = [text, text0]
end
;
for i=0,n_elements(text)-1 do begin
    remtab, text(i), lin
    lin = strtrim(lin)	;remove trailing blanks
    case strmid(lin, 0, 3) of
	'':		;blank line - do nothing
	'   ':		;comment line - do nothing
	'---':		;month separater - do nothing
	else: begin
		sttim = anytim2ints(strmid(lin, 0, 18))
		entim = anytim2ints(strmid(lin, 0, 9) + strmid(lin, 18, 8))
		dur = int2secarr(entim, sttim)
		sttim = anytim2ints(sttim, off=-9*60.*60.)	;convert from JST to UT
		
		out(iout).time = sttim.time
		out(iout).day  = sttim.day
		out(iout).duration = dur
		iout = iout + 1
		if (iout ge n_elements(out)) then out = [out, replicate(data_ref, nbuff)]
	     end
    endcase
end
out = out(0:iout-1)
;
end
