pro soon_struct, GSN_Pointer = GSN_Pointer,  $
                     GSN_Obs = GSN_Obs,  $
                     GSN_Version = GSN_Version
   
   
GSN_Pointer = { GSN_Pointer_rec,              $
      stEntry: LONG(0),  $                   ; 00
      time: LONG(0),  $                      ; 04- Time (millisec of day) of earliest image
      day: FIX(0),  $                        ; 08- Day (since 1-Jan-79) of earliest image in file
      duration: LONG(0),  $                  ; 10- The time span of images contained within the tape file
                                             ;     (latest image date/time - earliest image date/time)
                                             ;
      st$tape_name: BYTARR(12),  $           ; 14- The tape label (ie: R931125a.01)
                                             ;       where   R = site (P,L,H,R,S)
                                             ;               931125 = year/month/day of first data on tape (in UT)
                                             ;               A = drive (A,B)
                                             ;               .01 = Tape writing program version
      file_num: FIX(0),  $                   ; 26- The file number on the tape
      n_images: FIX(0),  $                   ; 28- Number of images within the tape file
                                             ;
      site: BYTE(0),  $                      ; 30- Observation site (slightly redundant from tape label)
                                             ;       (See table lookup below)
                                             ;
      st$object: BYTARR(8),  $               ; 31- NOAA active region number
      image_types: BYTARR(5),  $             ; 39- A list of the different image types contained 
                                             ;     within the tape/file
      pix_siz: INTARR(2),  $                 ; 44- Pixel size in milli-arcsec
      image_shape: INTARR(2),  $             ; 48- The number of pixels in E/W and N/S direction
                                             ;
      location: INTARR(2),  $                ; 52- The location in angular coordinates
                                             ;     Values are in 0.1 arcseconds units
                                             ;       (0) = E/W (E is negative)
                                             ;       (1) = N/S (S is negative)
                                             ;     These are the coordinates for the first image
                                             ;     in the tape file
      location_del: FIX(0),  $               ; 56- The maximum distance in 0.1 arcsec of all images
                                             ;     relative first image location.
      spare: BYTARR(6) }                     ; 58-
   
   
   
GSN_Obs = { GSN_Obs_rec,              $
      time: LONG(0),  $                      ; 00- Time (millisec of day)
      day: FIX(0),  $                        ; 04- Day (since 1-Jan-79)
                                             ;
      image_type: BYTE(0),  $                ; 06- h-alpha, magnesium b2, magnetogram
                                             ;       (See table lookup below)
                                             ;
      tranpar: BYTE(0),  $                   ; 07- The sky transparency intensity units
                                             ;     Takes the "TRANS" field and scales 0-10 V to 0-255 
                                             ;
      location: INTARR(2),  $                ; 08- The location in angular coordinates
                                             ;     Values are in 0.1 arcseconds units
                                             ;       (0) = E/W (E is negative)
                                             ;       (1) = N/S (S is negative)
      image_num: FIX(0),  $                  ; 12- Image number within the file/block on
                                             ;     the archive tape
      image_avg: FIX(0) }                    ; 14- Image average
   
   
   
GSN_Version = { GSN_Version_rec,              $
      roadmap : FIX('B011'x),  $             ;   - The SOON/SPOT header/pointer structure version
      data : FIX('B021'x) }                  ;    - The SOON/SPOT data entry structure version
   
   
   
  
  
end
