function soup_info, header
;
;+
;NAME:
;	soup_info
;PURPOSE:
;	To create a summary text line of the information in the SOUP header
;SAMPLE CALLING SEQUENCE:
;	print, soup_info(header)
;	info_array = soup_info(head)
;INPUT:
;	header	- The SOUP header structure
;OUTPUT:
;	returns a string array with the descriptor
;HISTORY:
;	Written 16-Apr-93 by M.Morrison
;-
;
n = n_elements(header)
out = strarr(n)
;
tit = '    Date       Time      Tape#  Img#   Wave  Off  Polar  Sum   Expos
      ;  31-JUL-89  09:04:31    lb113   16   6563     0   0     1X1    468.0
;
print, tit
for i=0,n-1 do begin
    h0 = header(i)
    fmt = '(1x, a, a9, i5, i7, i6, 1x, a, 5x, a, f9.1)'
    out(i) = string(fmt_tim(h0), h0.sequence, h0.frame, $
		h0.wave, h0.offset, h0.polarity, $
		h0.sum, h0.expos, format=fmt)
end
;
moreidl, out
;
return, out
end
