;
;+
;NAME:
;	soupdat
;PURPOSE:
;	To act like the program YODAT for accessing SOUP data
;HISTORY:
;	Written 8-Mar-93 by M.Morrison
;	16-Apr-93 (MDM) - Added SOUP_OBS2
;-
;
common soupdat, basefiles, headers
;
if (n_elements(headers) eq 0) then begin
    restgen, headers, file='$ydb/soup/soupdat.genx'
    ss = indgen(n_elements(headers))
end
;
qdone = 0
while (not qdone) do begin
    n = 0
    if (ss(0) ne -1) then n = n_elements(ss)
    print, 'There are currently ', n, ' images that are selected'
    print, ' '
    print, 'Enter TIME    : to specify a start and end time of interest'
    print, '      SHOW    : to call SOUP_OBS and allow selection
    print, '      SHOW-R  : to call SOUP_OBS and to also pass the variable "roadmap"
    print, '      SHOW2   : to call SOUP_OBS2 and allow selection
    print, '      SHOW2-R : to call SOUP_OBS2 and to also pass the variable "roadmap"
    print, '      SET-ALL : to reset and allow all images to be selected
    print, '      READ    : to read the images selected in the "ss" variable
    print, '      MANY    : to allow menu selection of files within the time range 
    print, '      QUIT    : to exit
    ans = ' '
    read, 'Enter the option ', ans
    ;
    case strupcase(strtrim(ans,2)) of 
	'TIME': begin
			input_time, t1, t2, /check, /sample
			ss = sel_timrange(headers, t1, t2, /bet)
		end
	'SHOW': begin
			soup_obs, headers(ss), sel, ss1
			if (ss1(0) ne -1) then ss=ss(ss1)
		end
	'SHOW-R': begin
			soup_obs, headers(ss), sel, ss1, roadmap=roadmap
			if (ss1(0) ne -1) then ss=ss(ss1)
		end
	'SHOW2': begin
			soup2_obs, headers(ss), sel, ss1
			if (ss1(0) ne -1) then ss=ss(ss1)
		end
	'SHOW2-R': begin
			soup2_obs, headers(ss), sel, ss1, roadmap=roadmap
			if (ss1(0) ne -1) then ss=ss(ss1)
		end
	'SET-ALL': begin
			ss = indgen(n_elements(headers))
		end
	'READ': begin
			print, n, ' images to be read'
			yesnox, 'Ok to read? ', in, 'Yes'
			if ((in eq 1) and (n ne 0)) then begin
			    infil = headers(ss).file
			    img = rd_soup(infil, head=head)
			    print, 'The image and headers are in the variables "img" and "head"
			    qdone = 1
			end
		end
	'MANY': begin
			break_file, headers(ss).file, dsk_log, dir, filnam, ext
			ss1 = wmenu_sel(filnam+ext)
			if (ss1(0) ne -1) then ss = ss(ss1)
		end
	'QUIT': qdone = 1
	'EXIT': qdone = 1
	else: begin
			print, 'Code not recognized.   Please re-enter'
		end
    endcase
end
;
end

